
Auto Multiple Choice - Bug # 115: Problems with parameters when decimal point is a comma

Status: Closed Priority: Normal
Author: Alexis Bienvenüe Category:
Created: 01/06/2013 Assignee:
Updated: 03/08/2013 Due date:
Description: With some particular locales (when the decimal point is a comma) and environments (reported on opensuse 

12.2), the numerical parameters are stored with a comma as a decimal point, and become unusable for 
AMC... See message#703.

As a workaround, remove all parameters files (as @cf.default.xml@ in @$HOME/.AMC.d@) and start AMC 
with

  LANG=C auto-multiple-choice

History
01/07/2013 10:40 am - Alexis Bienvenüe
This bug does not show on debian and derivatives, because @POSIX@ sets @LC_NUMERIC@ to @C@, overriding @Gtk2@ initialization:

  perl -le 'use Gtk2 -init; use POSIX; print POSIX::setlocale(&POSIX::LC_NUMERIC)'

returns @C@ on debian and returns the current locale on OpenSUSE...

01/08/2013 04:18 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset r1282.

03/08/2013 09:40 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed
